﻿using CalendarNotepad.Models;
using SqlSugar;

namespace CalendarNotepad.Extends
{
    /// <summary>
    /// 数据库上下文
    /// </summary>
    public class DbContext:SqlSugar.SqlSugarClient
    {
        public DbContext() : base(GetConfig()) {

        }

        public static ConnectionConfig GetConfig() => new() {
            DbType = DbType.Sqlite,
            ConnectionString = AppConfig.SqliteFileName,
            IsAutoCloseConnection = false,
        };

        public void DbInit() {
            using var db = new DbContext();
            db.CodeFirst.InitTables<WorkUnit>();
        }
    }
}
